void Pall()
{//
   void self = getlocalvar("self"); 
   int  map = getentityproperty(self, "map");
   int  iR = rand()%3 + 3;

   if (iR >= 0 && iR < 2){ 
        changeentityproperty(self, "map", 1);
      } else if (iR >= 1 && iR < 3){ 
        changeentityproperty(self, "map", 2);
      } else if (iR >= 2 && iR < 4){ 
        changeentityproperty(self, "map", 3);
      } else if (iR >= 3 && iR < 5){ 
        changeentityproperty(self, "map", 4);
      } else if (iR >= 4 && iR < 6){ 
        changeentityproperty(self, "map", 5);
      } else { 
        changeentityproperty(self, "map", 6);
      }
}
